Package uk.co.mccombe.mapping

# Class Orthomorphic.Complex

java.lang.Object
uk.co.mccombe.mapping.Orthomorphic.Complex

Enclosing class:
  `Orthomorphic`

public static final class Orthomorphic.Complex extends Object

## Constructor Summary

Constructors
Constructor
Description
`Complex(double real, double imag)`

## Method Summary

Modifier and Type
Method
Description
`Orthomorphic.Complex`
`add(Orthomorphic.Complex c)`
`Orthomorphic.Complex`
`conjg()`
`Orthomorphic.Complex`
`div(double r)`
`Orthomorphic.Complex`
`div(Orthomorphic.Complex c)`
`double`
`i()`
`double`
`modsq()`
`Orthomorphic.Complex`
`mul(double r)`
`Orthomorphic.Complex`
`mul(Orthomorphic.Complex c)`
`double`
`r()`
`Orthomorphic.Complex`
`sub(Orthomorphic.Complex c)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Complex

public Complex(double real, double imag)

## Method Details

### add

public Orthomorphic.Complex add(Orthomorphic.Complex c)

### sub

public Orthomorphic.Complex sub(Orthomorphic.Complex c)

### mul

public Orthomorphic.Complex mul(Orthomorphic.Complex c)

### mul

public Orthomorphic.Complex mul(double r)

### div

public Orthomorphic.Complex div(double r)

### div

public Orthomorphic.Complex div(Orthomorphic.Complex c)

### modsq

public double modsq()

### r

public double r()

### i

public double i()

### conjg

public Orthomorphic.Complex conjg()

### toString

public String toString()

Overrides:
  `toString` in class `Object`